Discover agents on an agent platform
curl --request POST \
--url https://app.egma.ai/v1/agents:discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentPlatform": "retell"
}
'{
"agents": [
{
"platformAgentId": "<string>",
"name": "<string>",
"modality": "chat",
"connectionCandidates": [
{
"agentPlatform": "retell",
"connectionType": "retell_text_mode",
"accessVariant": "retell_text_mode.api_key",
"modality": "chat",
"productLabel": "<string>",
"config": {}
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Agents
Discover agents on an agent platform
List the Retell agents and connection candidates available to a provider API key. Supply credentials.apiKey or an existing agentId. This request does not register agents or save credentials.
POST
/
v1
/
agents:discover
Discover agents on an agent platform
curl --request POST \
--url https://app.egma.ai/v1/agents:discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agentPlatform": "retell"
}
'{
"agents": [
{
"platformAgentId": "<string>",
"name": "<string>",
"modality": "chat",
"connectionCandidates": [
{
"agentPlatform": "retell",
"connectionType": "retell_text_mode",
"accessVariant": "retell_text_mode.api_key",
"modality": "chat",
"productLabel": "<string>",
"config": {}
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Query Parameters
Project to act in. A project-scoped API key already identifies its project.
Minimum string length:
1Body
application/json
Provider to query. Agent discovery currently supports Retell.
Available options:
retell Retell account credential for this discovery request. Omit it when using agentId to reuse a saved key.
Show child attributes
Show child attributes
Existing Egma agent whose stored Retell key should be used. Omit credentials when supplying this field.
Minimum string length:
1Example:
"agt_01M0E4J0BBE1FVDVTZ1BSS5C97"
Response
The agents and supported simulation connection candidates.
Show child attributes
Show child attributes